## vmpk 0.8.8

=== CMakeLists.txt ===
# Virtual MIDI Piano Keyboard
# Copyright (C) 2008-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.14)

project( VMPK
    VERSION 0.8.8
    LANGUAGES CXX
    DESCRIPTION "Virtual MIDI Piano Keyboard"
    HOMEPAGE_URL "https://vmpk.sourceforge.io/"
)

set(DBUS_INIT OFF)
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    set(DBUS_INIT ON)
endif()
set(FILTER_INIT OFF)
if(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
    set(FILTER_INIT ON)
endif()
option(ENABLE_DBUS "Enable VMPK DBus interface" ${DBUS_INIT})
option(ENABLE_NATIVE_FILTER "Use a QAbstractNativeEventFilter to process raw keyboard events" ${FILTER_INIT})
option(EMBED_TRANSLATIONS "Embed translations instead of installing" OFF)
option(BUILD_DOCS "Build man page" ON)
option(USE_QT "Choose which Qt major version (5 or 6) to prefer. By default uses whatever is found")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")
include(SCMRevision)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# cmake bug https://gitlab.kitware.com/cmake/cmake/issues/18396 closed in cmake 3.14
if(APPLE AND ${CMAKE_VERSION} VERSION_LESS 3.14)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
endif()

if(CMAKE_CXX_COMPILER_ID MATCHES "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra") #-Wzero-as-null-pointer-constant -Wsuggest-override
endif()
#if(CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
#    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Wall")
#endif()

# CMAKE_SYSTEM_PROCESSOR is broken on Windows with MSVC
# cmake bug https://gitlab.kitware.com/cmake/cmake/-/issues/15170 still open in 2022/04
if(MSVC)
    string(TOLOWER ${MSVC_CXX_ARCHITECTURE_ID} CMAKE_SYSTEM_PROCESSOR)
endif()

if (USE_QT)
    if (NOT (USE_QT EQUAL 5 OR USE_QT EQUAL 6))
        message(FATAL_ERROR "Wrong Qt major version. Only 5 and 6 are valid options")
    endif()
endif()

if (USE_QT EQUAL 5)
    find_package(QT NAMES Qt5)
elseif (USE_QT EQUAL 6)
    find_package(QT NAMES Qt6)
else()
    find_package(QT NAMES Qt5 Qt6)
endif()

if (QT_VERSION VERSION_LESS 6.0)
    find_package(Qt5 5.9 COMPONENTS Widgets Network LinguistTools REQUIRED)
else()
    if (QT_VERSION VERSION_LESS 6.2.0)
       message (FATAL_ERROR "Qt6 >= 6.2 is required, or use Qt5 >= 5.9")
    endif()
    find_package(Qt6 6.2 COMPONENTS Gui Widgets Network LinguistTools REQUIRED)
endif()

find_package(Drumstick 2.7 COMPONENTS RT Widgets REQUIRED)

message (STATUS "VMPK v${PROJECT_VERSION}
     install prefix: ${CMAKE_INSTALL_PREFIX}
     Build configuration: ${CMAKE_BUILD_TYPE}
     Operating System: ${CMAKE_SYSTEM_NAME}
     System Processor: ${CMAKE_SYSTEM_PROCESSOR}
     D-Bus support: ${ENABLE_DBUS}
     Native Event Filter: ${ENABLE_NATIVE_FILTER}
     Qt${QT_VERSION_MAJOR} Version: ${QT_VERSION}
     Drumstick Version: ${Drumstick_VERSION}"
)

if (ENABLE_DBUS)
    find_package(Qt${QT_VERSION_MAJOR}DBus REQUIRED)
endif ()

if (UNIX AND NOT APPLE)
    if (ENABLE_NATIVE_FILTER)
        if (QT_VERSION VERSION_LESS 6.0.0)
            find_package(Qt5X11Extras REQUIRED)
        endif()
        find_package(PkgConfig REQUIRED)
        if(PKG_CONFIG_FOUND)
            message(STATUS "Program pkg-config v${PKG_CONFIG_VERSION_STRING} found (${PKG_CONFIG_EXECUTABLE})")
        else()
            message(FATAL_ERROR "Program pkg-config not found")
        endif()
        pkg_check_modules(XCB REQUIRED xcb)
        if(XCB_FOUND)
            message(STATUS "Found XCB development libs v${XCB_VERSION}")
        endif()
    endif()
    
    include(GNUInstallDirs)
endif()

add_subdirectory(src)
if (NOT EMBED_TRANSLATIONS)
    add_subdirectory(translations)
endif()

set(vmpk_DATA_FILES
    data/gmgsxg.ins
    data/help.html
    data/help_es.html
    data/help_ru.html
    data/help_sr.html
    data/azerty.xml
    data/german.xml
    data/it-qwerty.xml
    data/pc102mac.xml
    data/pc102win.xml
    data/pc102x11.xml
    data/Serbian-cyr.xml
    data/Serbian-lat.xml
    data/spanish.xml
    data/vkeybd-default.xml
    data/txt2ins.awk
)

#unmaintained or deprecated data files:
    #data/hm.html
    #data/hm_es.html
    #data/hm_ru.html
    #data/help_de.html
    #data/help_fr.html
    #data/help_nl.html

if(UNIX)
    add_custom_target (tarball
        COMMAND mkdir -p vmpk-${PROJECT_VERSION}/translations/
        COMMAND cp -r cmake_admin vmpk-${PROJECT_VERSION}
        COMMAND cp -r data vmpk-${PROJECT_VERSION}
        COMMAND cp -r src vmpk-${PROJECT_VERSION}
        COMMAND cp -r man vmpk-${PROJECT_VERSION}
        COMMAND cp -r dbus vmpk-${PROJECT_VERSION}
        COMMAND cp translations/vmpk_{cs,de,es,fr,gl,ru,sr,sv}.ts vmpk-${PROJECT_VERSION}/translations/
        COMMAND cp translations/CMakeLists.txt vmpk-${PROJECT_VERSION}/translations/
        COMMAND cp AUTHORS ChangeLog CMakeLists.txt COPYING gpl.rtf NEWS README.md TODO *.nsi *.nsi.in net.sourceforge.VMPK.desktop net.sourceforge.VMPK.metainfo.xml vmpk.pro *.pri vmpk.spec.in qt.conf vmpk-${PROJECT_VERSION}
        COMMAND tar -cj --exclude=.* -f vmpk-${PROJECT_VERSION}.tar.bz2 vmpk-${PROJECT_VERSION}
        COMMAND tar -cz --exclude=.* -f vmpk-${PROJECT_VERSION}.tar.gz vmpk-${PROJECT_VERSION}
        COMMAND zip -qr vmpk-${PROJECT_VERSION}.zip vmpk-${PROJECT_VERSION} -x '.[a-z]*'
        COMMAND rm -rf vmpk-${PROJECT_VERSION}
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )
endif ()

if(UNIX AND NOT APPLE)
    configure_file ( vmpk.spec.in
        ${CMAKE_CURRENT_BINARY_DIR}/vmpk.spec
        IMMEDIATE @ONLY )
    add_subdirectory (man)

    install (FILES ${vmpk_DATA_FILES}
             DESTINATION ${CMAKE_INSTALL_DATADIR}/vmpk )

    install (FILES data/vmpk_16x16.png
             DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/16x16/apps
             RENAME vmpk.png)

    install (FILES data/vmpk_32x32.png
             DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/32x32/apps
             RENAME vmpk.png)

    install (FILES data/vmpk_48x48.png
             DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/48x48/apps
             RENAME vmpk.png)

    install (FILES data/vmpk_64x64.png
             DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/64x64/apps
             RENAME vmpk.png)

    install (FILES data/vmpk_128x128.png
             DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/128x128/apps
             RENAME vmpk.png)

    install (FILES data/vmpk.svgz
             DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps )

    install (FILES net.sourceforge.VMPK.desktop
             DESTINATION ${CMAKE_INSTALL_DATADIR}/applications )

    install (FILES net.sourceforge.VMPK.metainfo.xml
             DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo )

     # uninstall custom target
     configure_file(
         "${CMAKE_SOURCE_DIR}/cmake_admin/cmake_uninstall.cmake.in"
         "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
         IMMEDIATE @ONLY)
     add_custom_target( uninstall
         "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
else()
    if(WIN32)
        include (InstallRequiredSystemLibraries)
        install (FILES ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS} 
                 DESTINATION .)
        install (FILES ${vmpk_DATA_FILES}
                 DESTINATION .)
        set(FLUIDSYNTH_PREFIX $ENV{FLUIDSYNTH})
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/setup-msvc2019.nsi.in
            ${CMAKE_CURRENT_BINARY_DIR}/setup-msvc2019.nsi IMMEDIATE @ONLY)
    endif()
endif()

# CPack support
include (InstallRequiredSystemLibraries)
set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "Virtual MIDI Piano Keyboard")
set (CPACK_PACKAGE_VENDOR "vmpk.sourceforge.net")
set (CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.md")
set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/gpl.rtf")
set (CPACK_PACKAGE_VERSION_MAJOR ${CMAKE_PROJECT_VERSION_MAJOR})
set (CPACK_PACKAGE_VERSION_MINOR ${CMAKE_PROJECT_VERSION_MINOR})
set (CPACK_PACKAGE_VERSION_PATCH ${CMAKE_PROJECT_VERSION_PATCH})
set (CPACK_PACKAGE_INSTALL_DIRECTORY "vmpk")
set (CPACK_PACKAGE_EXECUTABLES "vmpk" "Virtual MIDI Piano Keyboard")

# source packages
set (CPACK_SOURCE_GENERATOR TGZ;TBZ2;ZIP)
set (CPACK_SOURCE_IGNORE_FILES "/.svn/;/build/;/share/;~$;.cproject;.project;.user;${CPACK_SOURCE_IGNORE_FILES}")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "vmpk-${PROJECT_VERSION}")
set (CPACK_SOURCE_STRIP_FILES OFF)

# linux binary packages
if (${CMAKE_SYSTEM} MATCHES "Linux")
    set (CPACK_GENERATOR TGZ;TBZ2)
    set (CPACK_PACKAGE_NAME "vmpk")
    set (CPACK_SYSTEM_NAME ${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR})
#   set (CPACK_INCLUDE_TOPLEVEL_DIRECTORY 0)
#   set (CPACK_PACKAGING_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
    set (CPACK_STRIP_FILES ON)
endif ()

# Windows NSIS setup package
#if (WIN32)
#    set (CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/src/vmpk.ico")
#    set (CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
#    set (CPACK_NSIS_DISPLAY_NAME "Virtual MIDI Piano Keyboard")
#    set (CPACK_NSIS_HELP_LINK "http://vmpk.sourceforge.net")
#    set (CPACK_NSIS_URL_INFO_ABOUT "http://vmpk.sourceforge.net")
#    set (CPACK_NSIS_CONTACT "plcl@users.sourceforge.net")
#    set (CPACK_NSIS_MODIFY_PATH OFF)
#endif ()

include (CPack)

=== man/CMakeLists.txt ===
# Virtual MIDI Piano Keyboard
# Copyright (C) 2008-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along 
# with this program; If not, see <http://www.gnu.org/licenses/>.

if (BUILD_DOCS)
    find_program(XSLTPROC_EXECUTABLE xsltproc)
endif()

if (XSLTPROC_EXECUTABLE)
    message(STATUS "XSLTPROC Found: ${XSLTPROC_EXECUTABLE}")
    include(CreateManpages)
    create_manpages(vmpk.xml)
else()
    install( FILES vmpk.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 )
endif()

=== src/CMakeLists.txt ===
# Virtual MIDI Piano Keyboard
# Copyright (C) 2008-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along 
# with this program; If not, see <http://www.gnu.org/licenses/>.

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if (EMBED_TRANSLATIONS)
    set( TRANSLATIONS
         ../translations/vmpk_cs.ts
         ../translations/vmpk_de.ts
         ../translations/vmpk_es.ts
         ../translations/vmpk_fr.ts
         ../translations/vmpk_gl.ts
         ../translations/vmpk_ru.ts
         ../translations/vmpk_sr.ts
         ../translations/vmpk_sv.ts
    )
    if (QT_VERSION VERSION_LESS 5.15.0)
        qt5_add_translation(QM_FILES ${TRANSLATIONS})
    else()
        qt_add_translation(QM_FILES ${TRANSLATIONS})
    endif()
    include(TranslationUtils)
    get_target_property(DRUMSTICK_LOCATION Drumstick::Widgets INTERFACE_INCLUDE_DIRECTORIES)
    get_filename_component(DRUMSTICK_PREFIX ${DRUMSTICK_LOCATION} DIRECTORY)
    file(GLOB WIDGETS_TRANS "${DRUMSTICK_PREFIX}/share/drumstick/drumstick-widgets_*.qm")
    file(COPY ${WIDGETS_TRANS} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
    add_app_translations_resource(APP_RES ${QM_FILES} ${WIDGETS_TRANS})
    add_qt_translations_resource(QT_RES cs de es fr gl ru sr sv)
endif()

set(vmpk_SRCS
    about.ui
    colordialog.ui
    extracontrols.ui
    kmapdialog.ui
    midisetup.ui
    preferences.ui
    riffimportdlg.ui
    vpiano.ui
    shortcutdialog.ui
    about.cpp
    about.h
    colordialog.cpp
    colordialog.h
    colorwidget.cpp
    colorwidget.h
    constants.h
    extracontrols.cpp
    extracontrols.h
    instrument.cpp
    instrument.h
    keyboardmap.cpp
    keyboardmap.h
    kmapdialog.cpp
    kmapdialog.h
    main.cpp
    mididefs.h
    midisetup.cpp
    midisetup.h
    preferences.cpp
    preferences.h
    riff.cpp
    riff.h
    riffimportdlg.cpp
    riffimportdlg.h
    shortcutdialog.cpp
    shortcutdialog.h
    vpiano.cpp
    vpiano.h
    vpianosettings.cpp
    vpianosettings.h
    ../data/vmpk.qrc
    ${APP_RES}
    ${QT_RES}
)

if (ENABLE_NATIVE_FILTER)
    list(APPEND vmpk_SRCS
        nativefilter.cpp
        nativefilter.h
    )
    if (APPLE)
        list(APPEND vmpk_SRCS
            maceventhelper.mm
            maceventhelper.h
        )
    endif()
endif()

if(WIN32)
    include(CheckCXXSourceCompiles)
    check_cxx_source_compiles("#include <Windows.h>
        int main() { EnumWindows([](HWND, LPARAM) -> BOOL { return true; }, 0); return 0; }"
        COMPILER_SUPPORTED)
    if (NOT COMPILER_SUPPORTED)
        message(FATAL_ERROR "Sorry, your compiler is not supported: ${CMAKE_CXX_COMPILER}")
    endif()
    list(APPEND vmpk_SRCS winsnap.cpp winsnap.h)
endif()

if(ENABLE_DBUS)
    if (QT_VERSION VERSION_LESS 5.15.0)
        qt5_add_dbus_adaptor( vmpk_SRCS
                              net.sourceforge.vmpk.xml
                              vpiano.h
                              VPiano
                              vmpk_adaptor )
    else()
        qt_add_dbus_adaptor( vmpk_SRCS
                             net.sourceforge.vmpk.xml
                             vpiano.h
                             VPiano
                             vmpk_adaptor )
    endif()
    set_property(SOURCE
        ${CMAKE_CURRENT_BINARY_DIR}/vmpk_adaptor.h
        ${CMAKE_CURRENT_BINARY_DIR}/vmpk_adaptor.cpp
        PROPERTY SKIP_AUTOGEN ON)
endif()

if(WIN32)
    configure_file (vmpk.rc.in ${CMAKE_CURRENT_BINARY_DIR}/vmpk.rc 
                    IMMEDIATE @ONLY)
endif()

if(APPLE)
    set (MACOSX_BUNDLE_INFO_STRING "Virtual MIDI Piano Keyboard" )
    set (MACOSX_BUNDLE_BUNDLE_VERSION ${PROJECT_VERSION} )
    set (MACOSX_BUNDLE_LONG_VERSION_STRING ${PROJECT_VERSION} )
    set (MACOSX_BUNDLE_SHORT_VERSION_STRING ${PROJECT_VERSION} )
    set (MACOSX_BUNDLE_ICON_FILE "vmpk.icns" )
    set (MACOSX_BUNDLE_GUI_IDENTIFIER "net.sourceforge.vmpk" )
    set (MACOSX_BUNDLE_BUNDLE_NAME "vmpk" )
    set (MACOSX_BUNDLE_COPYRIGHT "© 2008-2022 Pedro López-Cabanillas and others")
    set (vmpk_RSC
        ../data/vmpk.icns
        ../data/help.html
        ../data/help_es.html
        ../data/txt2ins.awk
        ../data/gmgsxg.ins
        ../data/spanish.xml
        ../data/german.xml
        ../data/azerty.xml
        ../data/it-qwerty.xml
        ../data/vkeybd-default.xml
        ../data/pc102mac.xml
    )
    set_source_files_properties (${vmpk_RSC} PROPERTIES
        MACOSX_PACKAGE_LOCATION Resources
    )
endif()

add_executable (vmpk MACOSX_BUNDLE WIN32
    $<$<PLATFORM_ID:Windows>:${CMAKE_CURRENT_BINARY_DIR}/vmpk.rc>
    ${vmpk_SRCS}
    ${vmpk_RSC}
)

target_link_libraries(vmpk PRIVATE
    Drumstick::RT
    Drumstick::Widgets
    Qt${QT_VERSION_MAJOR}::Widgets
    $<$<BOOL:${ENABLE_DBUS}>:Qt${QT_VERSION_MAJOR}::DBus>
    $<$<BOOL:${Qt5X11Extras_FOUND}>:Qt5::X11Extras>
    $<$<BOOL:${XCB_FOUND}>:${XCB_LIBRARIES}>
)

if (QT_VERSION VERSION_GREATER_EQUAL 6.0.0)
    target_link_libraries(vmpk PRIVATE Qt6::Gui)
endif()

if (WIN32)
    target_link_libraries(vmpk PRIVATE
        winmm
        dwmapi)
endif()

if (APPLE)
    target_link_libraries(vmpk PRIVATE "-framework CoreFoundation -framework Cocoa")
endif()

target_include_directories(vmpk PUBLIC
    $<$<BOOL:${XCB_FOUND}>:${XCB_INCLUDE_DIRS}>
)

target_compile_definitions ( vmpk PUBLIC
    VERSION=${PROJECT_VERSION}
    RAWKBD_SUPPORT
    PALETTE_SUPPORT
    $<$<BOOL:${ENABLE_DBUS}>:ENABLE_DBUS>
    $<$<BOOL:${ENABLE_NATIVE_FILTER}>:ENABLE_NATIVE_FILTER>
)

if (DEFINED PROJECT_WC_REVISION)
    target_compile_definitions ( vmpk PRIVATE
        REVISION=${PROJECT_WC_REVISION} )
endif()

target_compile_definitions(vmpk PRIVATE
    $<$<BOOL:${EMBED_TRANSLATIONS}>:TRANSLATIONS_EMBEDDED>
)

if (UNIX AND NOT APPLE)
    install (TARGETS vmpk
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        BUNDLE DESTINATION ~/Applications
    )
else()
    set(DEPLOYMENT_TARGET vmpk)
    include(DeploymentUtils)
endif()

=== translations/CMakeLists.txt ===
# unmaintained translations, not installed
#    vmpk_nl.ts
#    vmpk_tr.ts
#    vmpk_zh_CN.ts

set( TRANSLATIONS_FILES
     vmpk_cs.ts
     vmpk_de.ts
     vmpk_es.ts
     vmpk_fr.ts
     vmpk_gl.ts
     vmpk_ru.ts
     vmpk_sr.ts
     vmpk_sv.ts
)

if (QT_VERSION VERSION_LESS 5.15.0)
    qt5_add_translation(QM_FILES ${TRANSLATIONS_FILES})
else()
    qt_add_translation(QM_FILES ${TRANSLATIONS_FILES})
endif()

add_custom_target(translations ALL DEPENDS ${QM_FILES})

if (UNIX AND NOT APPLE)
    install( FILES ${QM_FILES}
             DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/vmpk/locale )
endif ()

if (WIN32)
    install( FILES ${QM_FILES}
             DESTINATION . )
endif ()

=== debian/changelog ===
vmpk (0.8.8-1) unstable; urgency=medium

  * New upstream version 0.8.8
  * Bump Standards Version to 4.6.1
  * Add d/source/lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 10 Oct 2022 23:25:01 +0200

=== debian/control ===
Source: vmpk
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Ross Gammon <rosco2@ubuntu.com>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends: debhelper-compat (= 13),
 cmake,
 pkg-config,
 xsltproc,
 docbook-xsl,
 docbook-xml,
 libasound2-dev,
 libx11-dev,
 qtbase5-dev,
 libqt5svg5-dev,
 qttools5-dev-tools,
 qttools5-dev,
 libqt5x11extras5-dev,
 libdrumstick-dev (>= 2.5)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://vmpk.sourceforge.io/
Vcs-Browser: https://salsa.debian.org/multimedia-team/vmpk
Vcs-Git: https://salsa.debian.org/multimedia-team/vmpk.git

Package: vmpk
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdrumstick-rt-backends (>= 2.5)
Recommends: qjackctl, qsynth
Description: Virtual MIDI Piano Keyboard
 Virtual MIDI Piano Keyboard is a MIDI events generator and
 receiver. It doesn't produce any sound by itself, but can be used to
 drive a MIDI synthesizer (either hardware or software, internal or
 external). You can use the computer's keyboard to play MIDI notes,
 and also the mouse. You can use the Virtual MIDI Piano Keyboard to
 display the played MIDI notes from another instrument or MIDI file
 player.

## vmpk 0.8.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2008-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,7 +17,7 @@
 cmake_minimum_required(VERSION 3.14)
 
 project( VMPK
-    VERSION 0.8.8
+    VERSION 0.8.9
     LANGUAGES CXX
     DESCRIPTION "Virtual MIDI Piano Keyboard"
     HOMEPAGE_URL "https://vmpk.sourceforge.io/"
@@ -84,7 +84,7 @@
     find_package(Qt6 6.2 COMPONENTS Gui Widgets Network LinguistTools REQUIRED)
 endif()
 
-find_package(Drumstick 2.7 COMPONENTS RT Widgets REQUIRED)
+find_package(Drumstick 2.8 COMPONENTS RT Widgets REQUIRED)
 
 message (STATUS "VMPK v${PROJECT_VERSION}
      install prefix: ${CMAKE_INSTALL_PREFIX}
@@ -117,7 +117,7 @@
             message(STATUS "Found XCB development libs v${XCB_VERSION}")
         endif()
     endif()
-    
+
     include(GNUInstallDirs)
 endif()
 
@@ -161,7 +161,7 @@
         COMMAND cp -r src vmpk-${PROJECT_VERSION}
         COMMAND cp -r man vmpk-${PROJECT_VERSION}
         COMMAND cp -r dbus vmpk-${PROJECT_VERSION}
-        COMMAND cp translations/vmpk_{cs,de,es,fr,gl,ru,sr,sv}.ts vmpk-${PROJECT_VERSION}/translations/
+        COMMAND cp translations/vmpk_{cs,de,es,fr,gl,it,ru,sr,sv}.ts vmpk-${PROJECT_VERSION}/translations/
         COMMAND cp translations/CMakeLists.txt vmpk-${PROJECT_VERSION}/translations/
         COMMAND cp AUTHORS ChangeLog CMakeLists.txt COPYING gpl.rtf NEWS README.md TODO *.nsi *.nsi.in net.sourceforge.VMPK.desktop net.sourceforge.VMPK.metainfo.xml vmpk.pro *.pri vmpk.spec.in qt.conf vmpk-${PROJECT_VERSION}
         COMMAND tar -cj --exclude=.* -f vmpk-${PROJECT_VERSION}.tar.bz2 vmpk-${PROJECT_VERSION}
@@ -220,7 +220,7 @@
 else()
     if(WIN32)
         include (InstallRequiredSystemLibraries)
-        install (FILES ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS} 
+        install (FILES ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS}
                  DESTINATION .)
         install (FILES ${vmpk_DATA_FILES}
                  DESTINATION .)

=== man/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2008-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2008-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -26,6 +26,7 @@
          ../translations/vmpk_es.ts
          ../translations/vmpk_fr.ts
          ../translations/vmpk_gl.ts
+         ../translations/vmpk_it.ts
          ../translations/vmpk_ru.ts
          ../translations/vmpk_sr.ts
          ../translations/vmpk_sv.ts
@@ -41,7 +42,7 @@
     file(GLOB WIDGETS_TRANS "${DRUMSTICK_PREFIX}/share/drumstick/drumstick-widgets_*.qm")
     file(COPY ${WIDGETS_TRANS} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
     add_app_translations_resource(APP_RES ${QM_FILES} ${WIDGETS_TRANS})
-    add_qt_translations_resource(QT_RES cs de es fr gl ru sr sv)
+    add_qt_translations_resource(QT_RES cs de es fr gl it ru sr sv)
 endif()
 
 set(vmpk_SRCS
@@ -147,7 +148,7 @@
     set (MACOSX_BUNDLE_ICON_FILE "vmpk.icns" )
     set (MACOSX_BUNDLE_GUI_IDENTIFIER "net.sourceforge.vmpk" )
     set (MACOSX_BUNDLE_BUNDLE_NAME "vmpk" )
-    set (MACOSX_BUNDLE_COPYRIGHT "© 2008-2022 Pedro López-Cabanillas and others")
+    set (MACOSX_BUNDLE_COPYRIGHT "© 2008-2023 Pedro López-Cabanillas and others")
     set (vmpk_RSC
         ../data/vmpk.icns
         ../data/help.html

=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
      vmpk_es.ts
      vmpk_fr.ts
      vmpk_gl.ts
+     vmpk_it.ts
      vmpk_ru.ts
      vmpk_sr.ts
      vmpk_sv.ts

=== debian/changelog ===
vmpk (0.8.9-1) unstable; urgency=medium

  * New upstream version 0.8.9
  * Change my email address
  * Bump Standards-Version to 4.6.2
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Thu, 27 Jul 2023 11:35:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Ross Gammon <rosco2@ubuntu.com>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends: debhelper-compat (= 13),
  cmake,
  pkg-config,
@@ -18,7 +18,7 @@
  qttools5-dev,
  libqt5x11extras5-dev,
  libdrumstick-dev (>= 2.5)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://vmpk.sourceforge.io/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/vmpk

## vmpk 0.8.10

=== debian/changelog ===
vmpk (0.8.10-1) unstable; urgency=medium

  * New upstream version 0.8.10

 -- Dennis Braun <snd@debian.org>  Mon, 04 Sep 2023 20:48:13 +0200

## vmpk 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,25 @@
-# Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License along
-# with this program; If not, see <http://www.gnu.org/licenses/>.
-
-cmake_minimum_required(VERSION 3.14)
+#[===========================================================================[
+Virtual MIDI Piano Keyboard
+Copyright (C) 2008-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License along
+with this program; If not, see <http://www.gnu.org/licenses/>.
+#]===========================================================================]
+
+cmake_minimum_required(VERSION 3.16)
 
 project( VMPK
-    VERSION 0.8.9
+    VERSION 0.9.0
     LANGUAGES CXX
     DESCRIPTION "Virtual MIDI Piano Keyboard"
     HOMEPAGE_URL "https://vmpk.sourceforge.io/"
@@ -35,12 +37,12 @@
 option(ENABLE_NATIVE_FILTER "Use a QAbstractNativeEventFilter to process raw keyboard events" ${FILTER_INIT})
 option(EMBED_TRANSLATIONS "Embed translations instead of installing" OFF)
 option(BUILD_DOCS "Build man page" ON)
-option(USE_QT "Choose which Qt major version (5 or 6) to prefer. By default uses whatever is found")
+option(USE_QT5 "Prefer building with Qt5 instead of Qt6")
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_admin")
 include(SCMRevision)
 
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 # cmake bug https://gitlab.kitware.com/cmake/cmake/issues/18396 closed in cmake 3.14
@@ -56,35 +58,20 @@
 #endif()
 
 # CMAKE_SYSTEM_PROCESSOR is broken on Windows with MSVC
-# cmake bug https://gitlab.kitware.com/cmake/cmake/-/issues/15170 still open in 2022/04
+# cmake bug https://gitlab.kitware.com/cmake/cmake/-/issues/15170 still open in 2023/08
 if(MSVC)
     string(TOLOWER ${MSVC_CXX_ARCHITECTURE_ID} CMAKE_SYSTEM_PROCESSOR)
 endif()
 
-if (USE_QT)
-    if (NOT (USE_QT EQUAL 5 OR USE_QT EQUAL 6))
-        message(FATAL_ERROR "Wrong Qt major version. Only 5 and 6 are valid options")
-    endif()
-endif()
-
-if (USE_QT EQUAL 5)
-    find_package(QT NAMES Qt5)
-elseif (USE_QT EQUAL 6)
-    find_package(QT NAMES Qt6)
-else()
-    find_package(QT NAMES Qt5 Qt6)
-endif()
-
-if (QT_VERSION VERSION_LESS 6.0)
+if (USE_QT5)
+    find_package(QT NAMES Qt5 REQUIRED)
     find_package(Qt5 5.9 COMPONENTS Widgets Network LinguistTools REQUIRED)
 else()
-    if (QT_VERSION VERSION_LESS 6.2.0)
-       message (FATAL_ERROR "Qt6 >= 6.2 is required, or use Qt5 >= 5.9")
-    endif()
+    find_package(QT NAMES Qt6 REQUIRED)
     find_package(Qt6 6.2 COMPONENTS Gui Widgets Network LinguistTools REQUIRED)
 endif()
 
-find_package(Drumstick 2.8 COMPONENTS RT Widgets REQUIRED)
+find_package(Drumstick 2.9 COMPONENTS RT Widgets REQUIRED)
 
 message (STATUS "VMPK v${PROJECT_VERSION}
      install prefix: ${CMAKE_INSTALL_PREFIX}
@@ -132,6 +119,7 @@
     data/help_es.html
     data/help_ru.html
     data/help_sr.html
+    data/help_zh_CN.html
     data/azerty.xml
     data/german.xml
     data/it-qwerty.xml
@@ -161,7 +149,7 @@
         COMMAND cp -r src vmpk-${PROJECT_VERSION}
         COMMAND cp -r man vmpk-${PROJECT_VERSION}
         COMMAND cp -r dbus vmpk-${PROJECT_VERSION}
-        COMMAND cp translations/vmpk_{cs,de,es,fr,gl,it,ru,sr,sv}.ts vmpk-${PROJECT_VERSION}/translations/
+        COMMAND cp translations/vmpk_{cs,de,es,fr,gl,it,ru,sr,sv,zh_CN}.ts vmpk-${PROJECT_VERSION}/translations/
         COMMAND cp translations/CMakeLists.txt vmpk-${PROJECT_VERSION}/translations/
         COMMAND cp AUTHORS ChangeLog CMakeLists.txt COPYING gpl.rtf NEWS README.md TODO *.nsi *.nsi.in net.sourceforge.VMPK.desktop net.sourceforge.VMPK.metainfo.xml vmpk.pro *.pri vmpk.spec.in qt.conf vmpk-${PROJECT_VERSION}
         COMMAND tar -cj --exclude=.* -f vmpk-${PROJECT_VERSION}.tar.bz2 vmpk-${PROJECT_VERSION}

=== man/CMakeLists.txt ===
#[===========================================================================[
Virtual MIDI Piano Keyboard
Copyright (C) 2008-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; If not, see <http://www.gnu.org/licenses/>.
#]===========================================================================]

if (BUILD_DOCS)
    find_program(XSLTPROC_EXECUTABLE xsltproc)
endif()

if (XSLTPROC_EXECUTABLE)
    message(STATUS "XSLTPROC Found: ${XSLTPROC_EXECUTABLE}")
    include(CreateManpages)
    create_manpages(vmpk.xml)
else()
    install( FILES vmpk.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 )
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,20 @@
-# Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License along 
-# with this program; If not, see <http://www.gnu.org/licenses/>.
+#[===========================================================================[
+  Virtual MIDI Piano Keyboard
+  Copyright (C) 2008-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 3 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+  You should have received a copy of the GNU General Public License along
+  with this program; If not, see <http://www.gnu.org/licenses/>.
+#]===========================================================================]
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
@@ -30,6 +32,7 @@
          ../translations/vmpk_ru.ts
          ../translations/vmpk_sr.ts
          ../translations/vmpk_sv.ts
+         ../translations/vmpk_zh_CN.ts
     )
     if (QT_VERSION VERSION_LESS 5.15.0)
         qt5_add_translation(QM_FILES ${TRANSLATIONS})
@@ -42,7 +45,7 @@
     file(GLOB WIDGETS_TRANS "${DRUMSTICK_PREFIX}/share/drumstick/drumstick-widgets_*.qm")
     file(COPY ${WIDGETS_TRANS} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
     add_app_translations_resource(APP_RES ${QM_FILES} ${WIDGETS_TRANS})
-    add_qt_translations_resource(QT_RES cs de es fr gl it ru sr sv)
+    add_qt_translations_resource(QT_RES cs de es fr gl it ru sr sv zh_CN)
 endif()
 
 set(vmpk_SRCS
@@ -64,6 +67,8 @@
     constants.h
     extracontrols.cpp
     extracontrols.h
+    iconutils.cpp
+    iconutils.h
     instrument.cpp
     instrument.h
     keyboardmap.cpp
@@ -106,7 +111,7 @@
 
 if(WIN32)
     include(CheckCXXSourceCompiles)
-    check_cxx_source_compiles("#include <Windows.h>
+    check_cxx_source_compiles("#include <windows.h>
         int main() { EnumWindows([](HWND, LPARAM) -> BOOL { return true; }, 0); return 0; }"
         COMPILER_SUPPORTED)
     if (NOT COMPILER_SUPPORTED)
@@ -136,7 +141,7 @@
 endif()
 
 if(WIN32)
-    configure_file (vmpk.rc.in ${CMAKE_CURRENT_BINARY_DIR}/vmpk.rc 
+    configure_file (vmpk.rc.in ${CMAKE_CURRENT_BINARY_DIR}/vmpk.rc
                     IMMEDIATE @ONLY)
 endif()

=== debian/changelog ===
vmpk (0.9.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:30:43 +1100

vmpk (0.9.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:04:25 +0000

vmpk (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Make the build depend on libdrumstick-dev >= 2.9.0-1~
  * Apply wrap-and-sort -ast

 -- Dennis Braun <snd@debian.org>  Sun, 14 Jan 2024 19:51:07 +0100

=== debian/control ===
Source: vmpk
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Ross Gammon <rosco2@ubuntu.com>,
 Dennis Braun <snd@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 docbook-xml,
 docbook-xsl,
 libasound2-dev,
 libdrumstick-dev (>= 2.9.0-1~),
 libqt5x11extras5-dev,
 libqt6core5compat6-dev [ia64],
 libqt6svg6-dev,
 libx11-dev,
 pkg-config,
 qt6-5compat-dev [!ia64],
 qt6-base-dev,
 qt6-tools-dev,
 xsltproc,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://vmpk.sourceforge.io/
Vcs-Browser: https://salsa.debian.org/multimedia-team/vmpk
Vcs-Git: https://salsa.debian.org/multimedia-team/vmpk.git

Package: vmpk
Architecture: any
Depends:
 libdrumstick-rt-backends (>= 2.5),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 qjackctl,
 qsynth,
Description: Virtual MIDI Piano Keyboard
 Virtual MIDI Piano Keyboard is a MIDI events generator and
 receiver. It doesn't produce any sound by itself, but can be used to
 drive a MIDI synthesizer (either hardware or software, internal or
 external). You can use the computer's keyboard to play MIDI notes,
 and also the mouse. You can use the Virtual MIDI Piano Keyboard to
 display the played MIDI notes from another instrument or MIDI file
 player.

## vmpk 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #[===========================================================================[
 Virtual MIDI Piano Keyboard
-Copyright (C) 2008-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+Copyright (C) 2008-2024 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project( VMPK
-    VERSION 0.9.0
+    VERSION 0.9.1
     LANGUAGES CXX
     DESCRIPTION "Virtual MIDI Piano Keyboard"
     HOMEPAGE_URL "https://vmpk.sourceforge.io/"
@@ -46,9 +46,9 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 # cmake bug https://gitlab.kitware.com/cmake/cmake/issues/18396 closed in cmake 3.14
-if(APPLE AND ${CMAKE_VERSION} VERSION_LESS 3.14)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
-endif()
+# if(APPLE AND ${CMAKE_VERSION} VERSION_LESS 3.14)
+#     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
+# endif()
 
 if(CMAKE_CXX_COMPILER_ID MATCHES "GNU")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra") #-Wzero-as-null-pointer-constant -Wsuggest-override
@@ -58,7 +58,7 @@
 #endif()
 
 # CMAKE_SYSTEM_PROCESSOR is broken on Windows with MSVC
-# cmake bug https://gitlab.kitware.com/cmake/cmake/-/issues/15170 still open in 2023/08
+# cmake bug https://gitlab.kitware.com/cmake/cmake/-/issues/15170 still open in 2024/12
 if(MSVC)
     string(TOLOWER ${MSVC_CXX_ARCHITECTURE_ID} CMAKE_SYSTEM_PROCESSOR)
 endif()
@@ -71,7 +71,7 @@
     find_package(Qt6 6.2 COMPONENTS Gui Widgets Network LinguistTools REQUIRED)
 endif()
 
-find_package(Drumstick 2.9 COMPONENTS RT Widgets REQUIRED)
+find_package(Drumstick 2.10 COMPONENTS RT Widgets REQUIRED)
 
 message (STATUS "VMPK v${PROJECT_VERSION}
      install prefix: ${CMAKE_INSTALL_PREFIX}
@@ -121,6 +121,7 @@
     data/help_sr.html
     data/help_zh_CN.html
     data/azerty.xml
+    data/azerty-FR.xml
     data/german.xml
     data/it-qwerty.xml
     data/pc102mac.xml
@@ -213,8 +214,8 @@
         install (FILES ${vmpk_DATA_FILES}
                  DESTINATION .)
         set(FLUIDSYNTH_PREFIX $ENV{FLUIDSYNTH})
-        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/setup-msvc2019.nsi.in
-            ${CMAKE_CURRENT_BINARY_DIR}/setup-msvc2019.nsi IMMEDIATE @ONLY)
+        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/setup-msvc2022.nsi.in
+            ${CMAKE_CURRENT_BINARY_DIR}/setup-msvc2022.nsi IMMEDIATE @ONLY)
     endif()
 endif()

=== man/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #[===========================================================================[
 Virtual MIDI Piano Keyboard
-Copyright (C) 2008-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+Copyright (C) 2008-2024 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #[===========================================================================[
   Virtual MIDI Piano Keyboard
-  Copyright (C) 2008-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+  Copyright (C) 2008-2024 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
@@ -153,7 +153,7 @@
     set (MACOSX_BUNDLE_ICON_FILE "vmpk.icns" )
     set (MACOSX_BUNDLE_GUI_IDENTIFIER "net.sourceforge.vmpk" )
     set (MACOSX_BUNDLE_BUNDLE_NAME "vmpk" )
-    set (MACOSX_BUNDLE_COPYRIGHT "© 2008-2023 Pedro López-Cabanillas and others")
+    set (MACOSX_BUNDLE_COPYRIGHT "© 2008-2024 Pedro López-Cabanillas and others")
     set (vmpk_RSC
         ../data/vmpk.icns
         ../data/help.html

=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 # unmaintained translations, not installed
 #    vmpk_nl.ts
 #    vmpk_tr.ts
-#    vmpk_zh_CN.ts
 
 set( TRANSLATIONS_FILES
      vmpk_cs.ts
@@ -13,6 +12,7 @@
      vmpk_ru.ts
      vmpk_sr.ts
      vmpk_sv.ts
+     vmpk_zh_CN.ts
 )
 
 if (QT_VERSION VERSION_LESS 5.15.0)

=== debian/changelog ===
vmpk (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * Build-Depends on libdrumstick-dev >= 2.10.0-1~
  * Change B-D from pkg-config to pkgconf
  * Bump Standards-Version to 4.7.0
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Wed, 01 Jan 2025 23:07:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: vmpk
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Ross Gammon <rosco2@ubuntu.com>,
  Dennis Braun <snd@debian.org>,
@@ -12,17 +11,17 @@
  docbook-xml,
  docbook-xsl,
  libasound2-dev,
- libdrumstick-dev (>= 2.9.0-1~),
+ libdrumstick-dev (>= 2.10.0-1~),
  libqt5x11extras5-dev,
  libqt6core5compat6-dev [ia64],
  libqt6svg6-dev,
  libx11-dev,
- pkg-config,
+ pkgconf,
  qt6-5compat-dev [!ia64],
  qt6-base-dev,
  qt6-tools-dev,
  xsltproc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://vmpk.sourceforge.io/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/vmpk

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ -Scmake

override_dh_install:
	dh_install
	mkdir -p debian/vmpk/usr/share/doc/vmpk
	mv \
		debian/vmpk/usr/share/vmpk/*.html \
		debian/vmpk/usr/share/doc/vmpk

=== debian/watch ===
version=4
https://sf.net/vmpk/vmpk-(.+)\.tar\.gz
